# Recipes

### When I run the `recipe` query, the FetchedData object has no attribute timezone. How can I execute this query? &#x20;

That message is displayed when the query is running by using a dev user. This query must be executed by using an end-user. So, [create a user](https://docs.suggestic.com/graphql/query/mutations/user-profile/new-user) by using your given token and dev user and then use that created user to execute the query.

### Is there a process to add recipes to Suggestic's shopping list?

The Suggestic team provides a predefined CSV file where you can send us your recipes. For more information, contact one of the Suggestic's members.

### How can I change a recipe and then use a recipe with similar macros?

You can use the [`similarMacrosRecipes` ](https://docs.suggestic.com/graphql/query/queries/recipes/similar-macros-recipes)query. This retrieves 3 recipes equivalent in macronutrient distribution as the one provided in the argument. When you find the desired recipe use the[`swapMealPlanRecipe`](https://docs.suggestic.com/graphql/query/mutations/meal-plan/swap-meals) mutation to swap meals.

### Why some recipes don't display instructions?

Recipes from the internet don't have instructions. To check the recipe's source, use the author field.&#x20;

### How do I get recipe instructions?

Use the [`recipeSearch`](https://docs.suggestic.com/graphql/query/search/recipe-search/recipes) query and includes the `instructions` field. To filter out any recipe for which we do not have any instructions, set the `hasInstructions` parameter to `false`.

### Is there any endpoint to upload photos recipes?

Currently, the API does not support the upload photos feature.

### How do I get the next results after requesting a set of recipes?

Use the [cursor-based pagination](/graphql/start-here/tutorials-and-walkthroughs/pagination.md) option.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/knowledge-base/faqs/recipes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
